org.eclipse.oomph.setup.mylyn.impl

## Class MylynBuildsTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.mylyn.impl.MylynBuildsTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, MylynBuildsTask, SetupTask

      public class MylynBuildsTaskImpl
      extends SetupTaskImpl
      implements MylynBuildsTask

  An implementation of the model object 'Mylyn Builds Task'.

  The following features are implemented:

  - `Connector Kind`
  - `Server URL`
  - `User ID`
  - `Password`
  - `Build Plans`
  Generated

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `MylynBuildsTaskImpl.MylynHelper`

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EList<BuildPlan>` | `buildPlans` The cached value of the '`Build Plans`' containment reference list.
    `protected static String` | `CONNECTOR_KIND_EDEFAULT` The default value of the '`Connector Kind`' attribute.
    `protected String` | `connectorKind` The cached value of the '`Connector Kind`' attribute.
    `protected String` | `password` The cached value of the '`Password`' attribute.
    `protected static String` | `PASSWORD_EDEFAULT` The default value of the '`Password`' attribute.
    `protected static String` | `SERVER_URL_EDEFAULT` The default value of the '`Server URL`' attribute.
    `protected String` | `serverURL` The cached value of the '`Server URL`' attribute.
    `protected static String` | `USER_ID_EDEFAULT` The default value of the '`User ID`' attribute.
    `protected String` | `userID` The cached value of the '`User ID`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MylynBuildsTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<BuildPlan>` | `getBuildPlans()`
    `String` | `getConnectorKind()`
    `String` | `getPassword()`
    `String` | `getServerURL()`
    `String` | `getUserID()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setConnectorKind(String newConnectorKind)`
    `void` | `setPassword(String newPassword)`
    `void` | `setServerURL(String newServerURL)`
    `void` | `setUserID(String newUserID)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### CONNECTOR_KIND_EDEFAULT

          protected static final String CONNECTOR_KIND_EDEFAULT

      The default value of the '`Connector Kind`' attribute.
      See Also:
        `getConnectorKind()`, Constant Field Values
      Generated
      Ordered

    - #### connectorKind

          protected String connectorKind

      The cached value of the '`Connector Kind`' attribute.
      See Also:
        `getConnectorKind()`
      Generated
      Ordered

    - #### SERVER_URL_EDEFAULT

          protected static final String SERVER_URL_EDEFAULT

      The default value of the '`Server URL`' attribute.
      See Also:
        `getServerURL()`
      Generated
      Ordered

    - #### serverURL

          protected String serverURL

      The cached value of the '`Server URL`' attribute.
      See Also:
        `getServerURL()`
      Generated
      Ordered

    - #### USER_ID_EDEFAULT

          protected static final String USER_ID_EDEFAULT

      The default value of the '`User ID`' attribute.
      See Also:
        `getUserID()`
      Generated
      Ordered

    - #### userID

          protected String userID

      The cached value of the '`User ID`' attribute.
      See Also:
        `getUserID()`
      Generated
      Ordered

    - #### PASSWORD_EDEFAULT

          protected static final String PASSWORD_EDEFAULT

      The default value of the '`Password`' attribute.
      See Also:
        `getPassword()`
      Generated
      Ordered

    - #### password

          protected String password

      The cached value of the '`Password`' attribute.
      See Also:
        `getPassword()`
      Generated
      Ordered

    - #### buildPlans

          protected EList<BuildPlan> buildPlans

      The cached value of the '`Build Plans`' containment reference list.
      See Also:
        `getBuildPlans()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### MylynBuildsTaskImpl

          protected MylynBuildsTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getConnectorKind

          public String getConnectorKind()

      Specified by:
        `getConnectorKind` in interface `MylynBuildsTask`
      Returns:
        the value of the 'Connector Kind' attribute.
      See Also:
        `MylynBuildsTask.setConnectorKind(String)`, `MylynPackage.getMylynBuildsTask_ConnectorKind()`
      Generated

    - #### setConnectorKind

          public void setConnectorKind(String newConnectorKind)

      Specified by:
        `setConnectorKind` in interface `MylynBuildsTask`
      Parameters:
        `newConnectorKind` - the new value of the 'Connector Kind' attribute.
      See Also:
        `MylynBuildsTask.getConnectorKind()`
      Generated

    - #### getServerURL

          public String getServerURL()

      Specified by:
        `getServerURL` in interface `MylynBuildsTask`
      Returns:
        the value of the 'Server URL' attribute.
      See Also:
        `MylynBuildsTask.setServerURL(String)`, `MylynPackage.getMylynBuildsTask_ServerURL()`
      Generated

    - #### setServerURL

          public void setServerURL(String newServerURL)

      Specified by:
        `setServerURL` in interface `MylynBuildsTask`
      Parameters:
        `newServerURL` - the new value of the 'Server URL' attribute.
      See Also:
        `MylynBuildsTask.getServerURL()`
      Generated

    - #### getBuildPlans

          public EList<BuildPlan> getBuildPlans()

      Specified by:
        `getBuildPlans` in interface `MylynBuildsTask`
      Returns:
        the value of the 'Build Plans' containment reference list.
      See Also:
        `MylynPackage.getMylynBuildsTask_BuildPlans()`
      Generated

    - #### getUserID

          public String getUserID()

      Specified by:
        `getUserID` in interface `MylynBuildsTask`
      Returns:
        the value of the 'User ID' attribute.
      See Also:
        `MylynBuildsTask.setUserID(String)`, `MylynPackage.getMylynBuildsTask_UserID()`
      Generated

    - #### setUserID

          public void setUserID(String newUserID)

      Specified by:
        `setUserID` in interface `MylynBuildsTask`
      Parameters:
        `newUserID` - the new value of the 'User ID' attribute.
      See Also:
        `MylynBuildsTask.getUserID()`
      Generated

    - #### getPassword

          public String getPassword()

      Specified by:
        `getPassword` in interface `MylynBuildsTask`
      Returns:
        the value of the 'Password' attribute.
      See Also:
        `MylynBuildsTask.setPassword(String)`, `MylynPackage.getMylynBuildsTask_Password()`
      Generated

    - #### setPassword

          public void setPassword(String newPassword)

      Specified by:
        `setPassword` in interface `MylynBuildsTask`
      Parameters:
        `newPassword` - the new value of the 'Password' attribute.
      See Also:
        `MylynBuildsTask.getPassword()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html